function MobilityMode1N2AllAP(r,rf,rs,n,nf,L,ts,vm,Tlim,Tmax,dmax)
	scf(1);//creation of a graphic window
	clf(1);
	f=gcf();
	f.figure_name='MANET';
	f.pixmap='on'; //set the pixmap mode
	//creation of the network boundaries
	plot2d(0,0,-1,"011"," ",style=5,rect=[0,0,1000,1000]);
	xgrid;
	//simulation scenario
	[ndep,nfin]=MobilityRandom_i_j_nf(n,nf);//connection extremal nodes
	v=vm*rand(1,n);//velocity
	nodex=L*rand(1,n+nf);//current x-coordinate of all nodes
	nodey=L*rand(1,n+nf);//current y-coordinate of all nodes
	destx=L*rand(1,n+nf);//destination x-coordinate of all nodes(not used for fixed nodes)
	desty=L*rand(1,n+nf);//destination y-coordinate of all nodes(not used for fixed nodes)
	d=sqrt((nodex-destx).^2+(nodey-desty).^2);//initialization of the distance vector
	//display the initial state
	MobilityGraph2Plot(nodex(nf+1:$),nodey(nf+1:$),r,5);//fixed nodes in red (5)
	MobilityGraph2Plot(nodex(1:nf),nodey(1:nf),rf,2);//fixed nodes in blue (3)
	f=gcf();//get the figure properties
	i=ndep-nf;//emission node in purple (6)
	f.children.children($-1).children(n-i+1).data(3:4)=[rs rs];//node i
	f.children.children($-1).children(n-i+1).foreground=6;//node i 
	f.children.children($-1).children(n-i+1).background=6;//node i
	show_pixmap();//display
	t=0;
	Tnodes=zeros(1,n);//initialization of breaking time parameters
	he=[];//link head vector
	ta=[];//link tail vector 
	col=[3 5 2];
	cb=1;
	//animation
	while (t<Tlim)
		for i=1:n
			fr=f.children.children($-1).children(n-i+1);//node i 
			[fr.data(1) fr.data(2) destx(i) desty(i) d(i) v(i) Tnodes(i)]=MobilityNodeRWP(fr.data(1),fr.data(2),destx(i),desty(i),d(i),v(i),Tnodes(i),Tmax,vm,L);//displacement of the node i			
		end
		if (length(he)<>0)//presence of network links
			delete(f.children.children(1:$-3));//remove old links before the performance of the current topology
		end
		[nodx,nody]=MobilityXYExtraction(f,n,nf);//extraction of the nodes coordinates
		[ta,he]=MobilityLocality(nodx,nody,dmax);//topology performance
		[dist,pred]=MobilityDijkstra(nodx,nody,he,ta,ndep);//calculation of the shortest path between the connection nodes ndep and nfin
		for j=1:length(ta)
			xpolys([nodx([he(j) ta(j)])+r/2]',[nody([he(j) ta(j)])-r/2]',1);//display the network links
		end	
		ind=find(dist(1:nf)<>100000000);
		if length(ind)<>0
			for i=1:length(ind)
				path=RoutingPredRoute(pred,dist,ndep,ind(i)); 
				xpolys([nodx([path])+r/2]',[nody([path])-r/2]',col(modulo(cb,3)+1));
				f.children.children(1).children.thickness=2;
				cb=cb+1;
			end
		end
		show_pixmap();//display the graph
		t=t+1;//time incredent
	end
endfunction
