function [pt,rt1,rt2,rt3,rt4,rt5]=RoutingMPathDijkstra(g,L,name)
	n=length(g.node_x);
	nlo=ceil(sqrt(n));
	for k=1:5
		execstr('rt'+string(k)+'=zeros(n*n,2*nlo)');//initialization of routing tables
	end
	winId=waitbar('5 Alternative Routing Tables Performance');
	count=0;
	tot=5*(n)*(n-1)/2
	format('v',6);
	for i=1:n
		for j=i+1:n
			gc=g;
			rout_tab=zeros(5,2*nlo);
			rr=1;
			[path]=RoutingDijkstra(gc,'length',i,j);//shortest path performance
			l=length(path);
			w=sum(g.edges.data.length(nodes_2_path(path,g))); 
			execstr('rt'+string(rr)+'((i-1)*n+j,1)=l;');
			execstr('rt'+string(rr)+'((i-1)*n+j,2)=w;');
			execstr('rt'+string(rr)+'((i-1)*n+j,3:length(path)+2)=path;');
			execstr('rt'+string(rr)+'((j-1)*n+i,1)=l;');
			execstr('rt'+string(rr)+'((j-1)*n+i,2)=w;');
			execstr('rt'+string(rr)+'((j-1)*n+i,3:length(path)+2)=RVector(path);');
			rout_tab(rr,1:length(path))=path;
			[gc]=RoutingPathWeightMod(gc,path,L);//reject the current shortest path for the next calculation
			rr=rr+1;		
			for k=2:5
				count=count+1;
				[path]=RoutingDijkstra(gc,'length',i,j);//shortest path performance
				l=length(path);//hop length of the shortest path
				w=sum(g.edges.data.length(nodes_2_path(path,g)));//length of the shortest path 
				bool=[];
				for kk=1:rr-1
					ind=find(rout_tab(kk,:)<>0);
					ind=ind($);
					if (ind<>[])
						bool=[bool DiffVectors(path,rout_tab(kk,1:ind))];// only new paths are added  
					end
				end
				indf=find(bool==%F)
				indf=indf(1);
				if (indf==[])
					execstr('rt'+string(rr)+'((i-1)*n+j,1)=l;');
					execstr('rt'+string(rr)+'((i-1)*n+j,2)=w;');
					execstr('rt'+string(rr)+'((i-1)*n+j,3:length(path)+2)=path;');
					execstr('rt'+string(rr)+'((j-1)*n+i,1)=l;');
					execstr('rt'+string(rr)+'((j-1)*n+i,2)=w;');
					execstr('rt'+string(rr)+'((j-1)*n+i,3:length(path)+2)=RVector(path);');
					rout_tab(rr,1:length(path))=path;
					rr=rr+1;
				end
				[gc]=RoutingPathWeightMod(gc,path,L);
			end
			waitbar(min(count/tot,1),winId);
		end
	end
	winclose(winId);
	for i=1:5
		execstr('[rt'+string(i)+']=RoutingShortestRT(rt'+string(i)+');');//reduction of the routing table size
	end
	pt=[RoutingRTPathPresence(rt1,n*n) RoutingRTPathPresence(rt2,n*n) RoutingRTPathPresence(rt3,n*n) RoutingRTPathPresence(rt4,n*n) RoutingRTPathPresence(rt5,n*n)];
	//calculation of the presence of connection paths inside each routing table
	save(name,pt,rt1,rt2,rt3,rt4,rt5);//backup
endfunction
